package net.wanji.databus.dao.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/10/31 11:04
 */
@Data
public class GreenwaveCrossPO {
    /** id */
    @ApiModelProperty(value = "id",notes = "")
    private Integer id ;
    /** 绿波ID */
    @ApiModelProperty(value = "绿波ID",notes = "")
    private Integer greenId ;
    /** 路口ID */
    @ApiModelProperty(value = "路口ID",notes = "")
    private String crossId ;
    /** 进口方向：1:北 2:东北 3:东 4:东南 5:南 6:西南 7:西 8:西北 */
    @ApiModelProperty(value = "进口方向：1:北 2:东北 3:东 4:东南 5:南 6:西南 7:西 8:西北",notes = "")
    private Integer inDir ;
    /** 驶出方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北 */
    @ApiModelProperty(name = "驶出方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer outDir ;
    /** 相位差（秒） */
    @ApiModelProperty(value = "相位差（秒）",notes = "")
    private Integer offset ;
    /** 路口顺序号 */
    @ApiModelProperty(value = "路口顺序号",notes = "")
    private Integer sort ;
    /** 时段ID */
    @ApiModelProperty(value = "时段ID",notes = "")
    private Integer sectionId ;
    /** 到下个路口距离（米） */
    @ApiModelProperty(value = "到下个路口距离（米）",notes = "")
    private Double nextCrossLen ;
    /** 是否关键路口：0否；1是 */
    @ApiModelProperty(value = "是否关键路口：0否；1是",notes = "")
    private Integer isKeyRoute ;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(value = "修改时间",notes = "")
    private Date gmtModified ;
}
